<div class="mat-app-background fullscreen mat-typography">
  <app-top-bar
    [userData]="(userData$|async)"
    [userProfilePictureUrl]="(userProfilePicture$|async)"
    (login)="login()"
    (logout)="logout()">
  </app-top-bar>
  <ng-container *ngIf="(loggedIn$|async); else notLoggedIn">
    <app-menu style="height: 100%;">
      <app-vendor-app-surfaces-container></app-vendor-app-surfaces-container>
      <app-slides-container></app-slides-container>
      <app-new-app-container></app-new-app-container>
    </app-menu>
  </ng-container>
  <ng-template #notLoggedIn>
    <app-login
      [inProgress]="(isRedirecting$|async)"
      [error]="(error$|async)"
      (login)="login()">
    </app-login>
  </ng-template>
</div>
